<template>
  <v-footer
    height="auto"
    padless
    tile
  >
    <v-container
      fluid
      class="pa-0"
    >
      <v-row
        class="primary"
        align="center"
        no-gutters
      >
        <v-col cols="2">
          <v-row no-gutters>
            <v-col>
              <v-img
                max-height="100"
                max-width="350"
                contain
                :src="$t('urlPA')"
              />
            </v-col>
          </v-row>        
        </v-col>

        <v-col
          cols="8"
          class="justify-center"
        >
          <v-row
            class="white--text text-center text-lg-body-1 text-body-2 justify-center"
            no-gutters
          >
            <v-col
              cols="2"
              class="col-with-border pa-5"
            >
              <a
                :href="$t('links.link.cgu')"
                class="white--text text-decoration-none"
              >{{ $t("links.label.cgu") }}</a>
            </v-col>
            <v-col
              cols="2"
              class="col-with-border pa-5"
            >
              <a
                :href="$t('links.link.dataprotection')"
                class="white--text text-decoration-none"
              >{{ $t("links.label.dataprotection") }}</a>
            </v-col>
            <v-col
              cols="2"
              class="col-with-border pa-5"
            >
              <a
                :href="$t('links.link.faq')"
                class="white--text text-decoration-none"
              >{{ $t("links.label.faq") }}</a>
            </v-col>
            <v-col
              cols="2"
              class="col-with-border pa-5"
            >
              <a
                :href="$t('links.link.contact')"
                class="white--text text-decoration-none"
              >{{ $t("links.label.contact") }}</a>
            </v-col>
            <v-col
              cols="2"
              class="pa-5"
            >
              <a
                class="white--text text-decoration-none"
                @click="showCookiesAction()"
              >{{ $t("links.label.cookies") }}</a>
            </v-col>
          </v-row>
        </v-col>
        <v-col
          cols="2"
          class="py-5"
        >
          <v-row no-gutters>
            <v-col>
              <a :href="$t('links.rezomobicoop.url')">
                <v-img
                  height="50px"
                  :src="$t('links.rezomobicoop.image')"
                  contain
                />
              </a>
            </v-col>
          </v-row>
          <v-row no-gutters>
            <v-col class="justify-center">
              <a
                  
                :href="$t('links.pictos.playStore.url')"
                style="text-decoration:none;"
              >
                <v-img
                  contain
                  :src="$t('links.pictos.playStore.logo')"
                  height="40px"
                />
              </a>
              <a
                class="d-flex"
                :href="$t('links.pictos.appleStore.url')"
                style="text-decoration:none;"
              >
                <v-img
                  contain
                  :src="$t('links.pictos.appleStore.logo')"
                  height="40px"
                />        
              </a>
            </v-col>
          </v-row>
        </v-col>
      </v-row>

      <v-row no-gutters>
        <v-col
          cols="12"
          class="text-center py-5 mb-0 text-body-2 grey--text"
        >
          {{ $t('licenseFirst') }}
          <a
            :href="$t('mobicoop')"
            class="grey--text font-weight-bold"
            target="_blank"
          >Mobicoop</a>
          {{ $t('licenseSecond') }} 
        </v-col>
      </v-row>
      <v-row
        no-gutters
        class="justify-center"
      >
        <v-col
          cols="1"
        >
          <a
            :href="$t('mobicoop')"
            class="grey--text font-weight-bold"
            target="_blank"
          >
            <v-img
              contain
              :src="$t('urlLogoMobicoop')"
            />
          </a>
        </v-col>
      </v-row>
      <cookies
        :show="showCookies"
        :app-name="appName"
        :auto-show="cookiesShowAuto"
        :social-networks-active="socialNetworksActive"
        :social-cookies="socialCookies"
        @dialogClosed="dialogCookiesClosed"
      />
    </v-container>
  </v-footer>
</template>

<script>
import { merge } from "lodash";
import {messages_en, messages_fr, messages_eu} from "@translations/components/base/MFooter/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/base/MFooter/";
import Cookies from "@components/utilities/Cookies";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  components: {
    Cookies
  },
  props: {
    logosPath: {
      type: String,
      default: null
    },   
    logos: {
      type: Object,
      default: null
    },
    appName:{
      type: String,
      default:null
    },
    cookiesShowAuto:{
      type: Boolean,
      default: true
    },
    socialNetworksActive:{
      type: Boolean,
      default: false
    },
    socialCookies:{
      type: Array,
      default: null
    }
  },  
  data() {
    return {
      showCookies: false
    }
  },
  methods:{
    showCookiesAction(){
      this.showCookies = true;
    },
    dialogCookiesClosed(){
      this.showCookies = false;
    }
  }
};
</script>
<style lang="scss" scoped>
.col-with-border{
  border-right:1px solid silver;
}
</style>